Package com.sun.grid.security.login

# Class GECATrustManagerLoginModule

java.lang.Object
com.sun.grid.security.login.GECATrustManagerLoginModule

All Implemented Interfaces:
  `LoginModule`

public class GECATrustManagerLoginModule extends Object implements LoginModule

## Constructor Summary

Constructors
Constructor
Description
`GECATrustManagerLoginModule()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`abort()`
Abort the login.
`boolean`
`commit()`
If the login method had success the commit method adds the `X500Principal` of the subject of the x509 certicate chain to the current subject.
`void`
`initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)`
Initialize this LoginModule.
`boolean`
`login()`
Try to login
`boolean`
`logout()`
logout the current subject

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GECATrustManagerLoginModule

public GECATrustManagerLoginModule()

## Method Details

### initialize

public void initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)
Initialize this LoginModule.

Specified by:
  `initialize` in interface `LoginModule`
Parameters:
  `subject` - the current subject
  `callbackHandler` - callbackHandler for retrieving system name and X509 certificate chain
  `sharedState` - shared state (not used)
  `options` - options (not used)

### login

public boolean login() throws LoginException
Try to login

Specified by:
  `login` in interface `LoginModule`
Returns:
  `true` if the login was successful
Throws:
  `LoginException` - if the `CallbackHandler` does not support the required `Callback`s or if an `Callback` throws an `IOException`.

### commit

public boolean commit()
If the login method had success the commit method adds the `X500Principal` of the subject of the x509 certicate chain to the current subject.

Specified by:
  `commit` in interface `LoginModule`
Returns:
  `true` if `X500Principal` has been added to the subject

### abort

public boolean abort()
Abort the login.

Specified by:
  `abort` in interface `LoginModule`
Returns:
  always `true`

### logout

public boolean logout()
logout the current subject

Specified by:
  `logout` in interface `LoginModule`
Returns:
  always `true`